Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.ejb
Interface Query

public interface Query
extends QueryProperties

Author:
  Copyright (c) 2001 by BEA WebXpress. All Rights Reserved.

Fields inherited from class weblogic.ejb.QueryProperties
`TX_MANDATORY, TX_REQUIRED, TX_REQUIRES_NEW`

Method Summary
`java.sql.ResultSet` | `execute(java.lang.String query)` Executes the specified query.
`java.sql.ResultSet` | `execute(java.lang.String query, java.util.Properties props)` Executes the specified query.
`java.util.Collection` | `find(java.lang.String query)` Executes the specified query.
`java.util.Collection` | `find(java.lang.String query, java.util.Properties props)` Executes the specified query.

Methods inherited from interface weblogic.ejb.QueryProperties
`getIncludeUpdates, getMaxElements, getTransaction, isResultTypeRemote, setIncludeUpdates, setMaxElements, setResultTypeRemote, setTransaction`

Method Detail

### find

    public java.util.Collection find(java.lang.String query)
                              throws javax.ejb.FinderException

  Executes the specified query.

### find

    public java.util.Collection find(java.lang.String query,
                                     java.util.Properties props)
                              throws javax.ejb.FinderException

  Executes the specified query.

### execute

    public java.sql.ResultSet execute(java.lang.String query)
                               throws javax.ejb.FinderException

  Executes the specified query.

### execute

    public java.sql.ResultSet execute(java.lang.String query,
                                      java.util.Properties props)
                               throws javax.ejb.FinderException

  Executes the specified query.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference